Bug 257100 (kf5-5.84.0) - [exp-run] Update KDE Frameworks to 5.84.0
Summary: [exp-run] Update KDE Frameworks to 5.84.0
Status: Closed FIXED
Alias: kf5-5.84.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-10 15:59 UTC by Tobias C. Berner
Modified: 2021-08-04 16:35 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (106.34 KB, patch)
2021-07-10 15:59 UTC, Tobias C. Berner
no flags Details | Diff
v2 (113.20 KB, patch)
2021-07-14 17:08 UTC, Tobias C. Berner
no flags Details | Diff
v3 (120.77 KB, patch)
2021-07-19 05:02 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-07-10 15:59:16 UTC
Created attachment 226353 [details]
v1

Moin moin 

kde@ would like to ask for an exp-run to update KDE Frameworks to 5.84. 

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/kf5-5.84.v1.diff



mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2021-07-14 15:02:45 UTC
Some new failure logs:

http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/birdtray-1.9.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/kate-21.04.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/latte-dock-0.9.12.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/marble-21.04.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/nextcloudclient-3.2.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/plasma-pass-1.2.0.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/plasma5-kscreen-5.22.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/plasma5-milou-5.22.3_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/plasma5-plasma-pa-5.22.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/plasma5-plasma-sdk-5.22.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/print-manager-21.04.3.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/smb4k-3.0.7_1.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/syncthingtray-1.1.5.log
http://package18.nyi.freebsd.org/data/122amd64-default-foo/2021-07-12_18h07m27s/logs/errors/uim-qt5-1.8.9.b.20210104_1.log
Comment 2 commit-hook freebsd_committer 2021-07-14 15:46:27 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bbc52b0401369419af23629923ff1cbc0d0e5266

commit bbc52b0401369419af23629923ff1cbc0d0e5266
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-14 15:45:00 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-14 15:46:03 +0000

    deskutils/birdtray: add missing build dependency on linguisttools

    The dependency was previously pulled in transitively.

    PR:             257100

 deskutils/birdtray/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 commit-hook freebsd_committer 2021-07-14 16:37:40 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e43f383e1fba463071bdc8f363d56133e65250bb

commit e43f383e1fba463071bdc8f363d56133e65250bb
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-14 16:32:06 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-14 16:36:40 +0000

    deskutils/syncthingtray: add missing build dependency on testlib

    The dependency was previously pulled in transitively.

    PR:     257100

 deskutils/syncthingtray/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Tobias C. Berner freebsd_committer 2021-07-14 16:38:10 UTC
desktuils/nextcloudclient added the missing testlib dependency in 
URL: https://cgit.FreeBSD.org/ports/commit/?id=d84555a84fb884c27a7ed9a16f750dd8ebad45b3 (this was also unrelated to the KF update)
Comment 5 Tobias C. Berner freebsd_committer 2021-07-14 17:08:31 UTC
Created attachment 226468 [details]
v2

The upstream commit https://invent.kde.org/frameworks/plasma-framework/-/commit/6e53dcc2d25089f35988eacbbfe6e3e189690db4 introduced a change, which makes some of the desktop files no longer being generated.

The updated patch 
https://people.freebsd.org/~tcberner/patches/kf5-5.84.v2.diff
addresses that.


The other three issues (which were unrelated to kf5) have been fixed.


@antoine: all of the listed fallout is therefore fixed.
Comment 7 commit-hook freebsd_committer 2021-07-19 04:58:51 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e9867824898888ccba384be98bb770c5883e40c5

commit e9867824898888ccba384be98bb770c5883e40c5
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-19 04:51:37 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-19 04:57:53 +0000

    misc/bibletime:  add missing build dependency on testlib

    The dependency was previously pulled in transitively.

    PR:             257100

 misc/bibletime/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 8 commit-hook freebsd_committer 2021-07-19 04:58:52 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=6d96654ae75a3382e14323a3e5206b3d36cc5d95

commit 6d96654ae75a3382e14323a3e5206b3d36cc5d95
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-19 04:50:53 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-19 04:57:53 +0000

    x11-toolkits/ctk: add missing build dependency on testlib

    The dependency was previously pulled in transitively.

    PR:     257100

 x11-toolkits/ctk/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 9 commit-hook freebsd_committer 2021-07-19 04:58:53 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=00e161175acef9f4f46721b50736aef548fb0baa

commit 00e161175acef9f4f46721b50736aef548fb0baa
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-19 04:49:41 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-19 04:57:53 +0000

    audio/hydrogen: add missing build dependency on testlib

    The dependency was previously pulled in transitively.

    PR:             257100

 audio/hydrogen/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 10 Tobias C. Berner freebsd_committer 2021-07-19 05:02:23 UTC
Created attachment 226543 [details]
v3

The testlib fallouts have feen fixed in the tree. 

Patch v3 [1] ixes the desktop files in 
* x11-toolkits/plasma5-kdeplasma-addons
* x11/plasma5-plasma-desktop
* x11/plasma5-plasma-workspace


mfg Tobias

[1] https://people.freebsd.org/~tcberner/patches/kf5-5.84.v3.diff
Comment 11 Tobias C. Berner freebsd_committer 2021-07-19 05:06:11 UTC
I have a fix from upstream for net-im/ruqola that I will commit later today.
Comment 12 commit-hook freebsd_committer 2021-07-20 07:11:01 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3f490e4d5caee28225973869a2fa122f5e9399b6

commit 3f490e4d5caee28225973869a2fa122f5e9399b6
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-20 06:00:37 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-20 07:08:29 +0000

    net-im/ruqola: fix add upstream fix for KDE Frameworks 5.84

    Obtained from:  https://invent.kde.org/network/ruqola/-/commit/1c9e8072fcb6cdbc1b3f2201eba902706f917b58.diff
    PR:             257100

 net-im/ruqola/Makefile | 4 ++++
 net-im/ruqola/distinfo | 4 +++-
 2 files changed, 7 insertions(+), 1 deletion(-)
Comment 13 Antoine Brodin freebsd_committer 2021-08-04 15:50:23 UTC
Exp-run looks fine
Comment 14 commit-hook freebsd_committer 2021-08-04 16:34:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e20d8c03aac18647716094474d69b48a7ffe41a2

commit e20d8c03aac18647716094474d69b48a7ffe41a2
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-08-04 16:31:24 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-08-04 16:31:24 +0000

    x11/kf5-frameworks: Update KDE Frameworks to 5.84.0

    Saturday, 10 July 2021

    KDE today announces the release of KDE Frameworks 5.84.0.

    KDE Frameworks are 83 addon libraries to Qt which provide a wide variety
    of commonly needed functionality in mature, peer reviewed and well
    tested libraries with friendly licensing terms. For an introduction see
    the KDE Frameworks release announcement.

    This release is part of a series of planned monthly releases making
    improvements available to developers in a quick and predictable manner.

    Announcement:
            https://kde.org/announcements/frameworks/5/5.84.0/

    Exp-run by:     antoine
    PR:             257100

 Mk/Uses/kde.mk                                  |   2 +-
 archivers/kf5-karchive/distinfo                 |   6 +-
 astro/marble/pkg-plist                          |   2 -
 audio/plasma5-plasma-pa/pkg-plist               |   1 -
 deskutils/latte-dock/pkg-plist                  |   3 -
 deskutils/plasma5-milou/pkg-plist               |   1 -
 devel/kf5-extra-cmake-modules/distinfo          |   6 +-
 devel/kf5-extra-cmake-modules/pkg-plist         |   1 +
 devel/kf5-kapidox/distinfo                      |   6 +-
 devel/kf5-kauth/distinfo                        |   6 +-
 devel/kf5-kbookmarks/distinfo                   |   6 +-
 devel/kf5-kcmutils/distinfo                     |   6 +-
 devel/kf5-kconfig/distinfo                      |   6 +-
 devel/kf5-kcoreaddons/distinfo                  |   6 +-
 devel/kf5-kcoreaddons/pkg-plist                 |   1 +
 devel/kf5-kcrash/distinfo                       |   6 +-
 devel/kf5-kdbusaddons/distinfo                  |   6 +-
 devel/kf5-kdbusaddons/pkg-plist                 |   1 +
 devel/kf5-kdeclarative/distinfo                 |   6 +-
 devel/kf5-kdoctools/distinfo                    |   6 +-
 devel/kf5-kfilemetadata/distinfo                |   6 +-
 devel/kf5-ki18n/distinfo                        |   6 +-
 devel/kf5-kidletime/distinfo                    |   6 +-
 devel/kf5-kio/distinfo                          |   6 +-
 devel/kf5-kio/pkg-plist                         |  11 +-
 devel/kf5-kitemmodels/distinfo                  |   6 +-
 devel/kf5-knewstuff/distinfo                    |   6 +-
 devel/kf5-knotifications/distinfo               |   6 +-
 devel/kf5-knotifyconfig/distinfo                |   6 +-
 devel/kf5-kpackage/distinfo                     |   6 +-
 devel/kf5-kparts/distinfo                       |   6 +-
 devel/kf5-kpeople/distinfo                      |   6 +-
 devel/kf5-kpeople/pkg-plist                     |   1 +
 devel/kf5-kpty/distinfo                         |   6 +-
 devel/kf5-kservice/distinfo                     |   6 +-
 devel/kf5-ktexteditor/distinfo                  |   6 +-
 devel/kf5-kunitconversion/distinfo              |   6 +-
 devel/kf5-solid/distinfo                        |   6 +-
 devel/kf5-threadweaver/distinfo                 |   6 +-
 devel/plasma5-plasma-sdk/pkg-plist              |   2 -
 dns/kf5-kdnssd/distinfo                         |   6 +-
 dns/kf5-kdnssd/pkg-plist                        |  18 +-
 editors/kate/pkg-plist                          |   1 -
 graphics/kf5-kimageformats/Makefile             |   3 -
 graphics/kf5-kimageformats/distinfo             |   6 +-
 graphics/kf5-kplotting/distinfo                 |   6 +-
 graphics/kf5-kquickcharts/distinfo              |   6 +-
 graphics/kf5-prison/distinfo                    |   6 +-
 lang/kf5-kross/distinfo                         |   6 +-
 misc/kf5-purpose/distinfo                       |   6 +-
 multimedia/kf5-kmediaplayer/distinfo            |   6 +-
 net/kf5-kcalendarcore/distinfo                  |   6 +-
 net/kf5-kcalendarcore/pkg-plist                 |   3 +-
 net/kf5-kcontacts/distinfo                      |   6 +-
 net/kf5-kdav/distinfo                           |   6 +-
 net/kf5-kdav/pkg-plist                          |   1 +
 net/kf5-kholidays/distinfo                      |   6 +-
 net/kf5-kxmlrpcclient/distinfo                  |   6 +-
 net/kf5-syndication/distinfo                    |   6 +-
 net/smb4k/pkg-plist                             |   1 -
 print/print-manager/pkg-plist                   |   1 -
 security/kf5-kdesu/distinfo                     |   6 +-
 security/kf5-kdesu/pkg-plist                    |   1 +
 sysutils/kf5-baloo/distinfo                     |   6 +-
 sysutils/kf5-kwallet/distinfo                   |   6 +-
 sysutils/plasma-pass/pkg-plist                  |   1 -
 textproc/kf5-kcodecs/distinfo                   |   6 +-
 textproc/kf5-sonnet/distinfo                    |   6 +-
 textproc/kf5-syntax-highlighting/distinfo       |   6 +-
 textproc/uim-qt5/pkg-plist                      |   1 -
 www/kf5-kdewebkit/distinfo                      |   6 +-
 www/kf5-khtml/distinfo                          |   6 +-
 www/kf5-kjs/distinfo                            |   6 +-
 www/kf5-kjsembed/distinfo                       |   6 +-
 x11-themes/kf5-breeze-icons/distinfo            |   6 +-
 x11-themes/kf5-breeze-icons/pkg-plist           | 248 ++++++++++++++++++++++++
 x11-themes/kf5-kemoticons/distinfo              |   6 +-
 x11-themes/kf5-kiconthemes/distinfo             |   6 +-
 x11-themes/kf5-oxygen-icons5/distinfo           |   6 +-
 x11-themes/kf5-oxygen-icons5/pkg-plist          |  54 ++++--
 x11-themes/kf5-qqc2-desktop-style/distinfo      |   6 +-
 x11-toolkits/kf5-attica/distinfo                |   6 +-
 x11-toolkits/kf5-kcompletion/distinfo           |   6 +-
 x11-toolkits/kf5-kconfigwidgets/distinfo        |   6 +-
 x11-toolkits/kf5-kconfigwidgets/pkg-plist       |   2 +
 x11-toolkits/kf5-kdesignerplugin/distinfo       |   6 +-
 x11-toolkits/kf5-kguiaddons/distinfo            |   6 +-
 x11-toolkits/kf5-kirigami2/distinfo             |   6 +-
 x11-toolkits/kf5-kirigami2/pkg-plist            |   1 -
 x11-toolkits/kf5-kitemviews/distinfo            |   6 +-
 x11-toolkits/kf5-kjobwidgets/distinfo           |   6 +-
 x11-toolkits/kf5-ktextwidgets/distinfo          |   6 +-
 x11-toolkits/kf5-kwidgetsaddons/distinfo        |   6 +-
 x11-toolkits/kf5-kwidgetsaddons/pkg-plist       |   4 +
 x11-toolkits/kf5-kxmlgui/distinfo               |   6 +-
 x11-toolkits/kf5-kxmlgui/pkg-plist              |   2 +
 x11-toolkits/plasma5-kdeplasma-addons/pkg-plist |  26 ---
 x11/kf5-frameworkintegration/distinfo           |   6 +-
 x11/kf5-kactivities-stats/distinfo              |   6 +-
 x11/kf5-kactivities/distinfo                    |   6 +-
 x11/kf5-kded/distinfo                           |   6 +-
 x11/kf5-kdelibs4support/distinfo                |   6 +-
 x11/kf5-kglobalaccel/distinfo                   |   6 +-
 x11/kf5-kinit/distinfo                          |   6 +-
 x11/kf5-krunner/distinfo                        |   6 +-
 x11/kf5-kwayland/distinfo                       |   6 +-
 x11/kf5-kwindowsystem/distinfo                  |   6 +-
 x11/kf5-plasma-framework/distinfo               |   6 +-
 x11/kf5-plasma-framework/pkg-plist              |   2 +
 x11/plasma5-kscreen/pkg-plist                   |   1 -
 x11/plasma5-plasma-desktop/pkg-plist            |  25 ---
 x11/plasma5-plasma-workspace/pkg-plist          |  26 ---
 112 files changed, 565 insertions(+), 363 deletions(-)
Comment 15 Tobias C. Berner freebsd_committer 2021-08-04 16:35:55 UTC
Committed. Thanks for the exp-run.